deadsociety

  1. Geek1243

    DsGuns - Addon For DeadSociety Zombie Apocalypse 4.0

    Requirements Java 8 and above required. (Important) Same for your Hosting Website! Always latest build of Vault! Can be found here: > https://dev.bukkit.org/projects/vault/files Make sure to download a plugin to register to Vault! i.e Essentials, EssentialsX etc. The DsGuns Extras Pack Which is...
Top
You need to upgrade!
Our dark style is reserved for our Premium members. Upgrade here.